package com.dbs.mplus.fatima.consent.webservice.model;

import org.ksoap2.serialization.PropertyInfo;
import org.ksoap2.serialization.SoapSerializationEnvelope;

import java.util.Hashtable;


public class IntegerResponse extends BaseObject {

    public int integerResult;


    public Object getProperty(int index) {
    	return integerResult;
    }

    public int getPropertyCount()
    {
        return 1;
    }

    @SuppressWarnings("unchecked")
	public void getPropertyInfo(int index, Hashtable properties, PropertyInfo info) {
    	info.name = "integerResult";
        info.type = new Integer(0).getClass();
    }

    public void setProperty(int index, Object value) {
    	integerResult = (int) value;
    }

    public void register(SoapSerializationEnvelope envelope) {
        envelope.addMapping(NAMESPACE, "IntegerResponse", this.getClass());
    }
}
